cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Lundquist ...@wrinkledog.com>
Subject Re: onChange event handler not working in cocoon-2.1.7
Date Thu, 29 Sep 2005 22:36:43 GMT

On Sep 29, 2005, at 1:01 PM, Jason Johnston wrote:

>> We are using following resource in cocoon-2.1.5.1 ...
>> cocoon.load("resource://org/apache/cocoon/forms/flow/javascript/v3/ 
>> Form.
>> js");
>>
>
> Why did you switch flow APIs from v3 to v2?

it looks like his switch was _to_ v3?...

>   The APIs have many
> differences, so it's not surprising they're behaving differently.  I'm  
> not
> familiar with anything but v1, but a cursory glance at the javadocs  
> tells
> me v2 doesn't support the .onChange shortcut.

It does, actually... and so does v3.  See their respective versions of  
ScriptableWidget.  I don't think you can tell from the Javadoc for the  
v2 implementation, although for v3 I believe it would tell you...

cheers,
—ml—


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


Mime
View raw message